> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get notifications



## OpenAPI

````yaml get /subscribed
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /subscribed:
    get:
      tags:
        - Account Notifications
      parameters:
        - $ref: '#/components/parameters/account_id'
      responses:
        '200':
          description: List of notifications
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AccountNotification'
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    AccountNotification:
      type: object
      description: Represents a notification for an account.
      properties:
        id:
          type: string
          description: Unique identifier for the notification.
        workspace_id:
          type: string
          description: Identifier for the workspace associated with the notification.
        user_id:
          type: string
          description: Identifier for the user associated with the notification.
        history_id:
          type: string
          description: Identifier for the history associated with the notification.
        read:
          type: boolean
          description: Indicates whether the notification has been read.
        user:
          $ref: '#/components/schemas/User'
          description: The user associated with the notification.
        history:
          $ref: '#/components/schemas/AssetHistory'
          description: The history associated with the notification.
    User:
      type: object
      description: User model
      properties:
        id:
          type: string
          description: Unique identifier for the user
        auth0UserID:
          type: string
          description: Auth0 user ID
        username:
          type: string
          description: Username of the user
        email:
          type: string
          description: Email address of the user
        firstName:
          type: string
          description: First name of the user
        lastName:
          type: string
          description: Last name of the user
        avatar_file_id:
          type: string
          description: File ID of the user's avatar
        defaultAvatar:
          type: number
          description: Default avatar identifier
        industry:
          type: string
          description: Industry the user works in
        occupation:
          type: string
          description: Occupation of the user
        company:
          type: string
          description: Company the user works for
        emailVerified:
          type: boolean
          description: Whether the user's email is verified
        isActive:
          type: boolean
          description: Whether the user is active
        city:
          type: string
          description: City where the user resides
        state:
          type: string
          description: State where the user resides
        country:
          type: string
          description: Country where the user resides
        zipCode:
          type: string
          description: Zip code of the user's location
        invited_by_user:
          $ref: '#/components/schemas/User'
          description: User who invited this user
    AssetHistory:
      type: object
      description: Represents the history of an asset within a workspace.
      properties:
        id:
          type: string
          description: Unique identifier for the asset history record.
        workspace_id:
          type: string
          description: Identifier for the workspace associated with the asset history.
        asset_id:
          type: string
          description: Identifier for the asset associated with the history record.
        user_id:
          type: string
          description: Identifier for the user who performed the action.
        type:
          type: string
          description: Type of history record (e.g., creation, update, deletion).
        record_id:
          type: string
          description: Identifier for the specific record within the history.
        data:
          type: object
          description: Additional data related to the history record.
        asset:
          $ref: '#/components/schemas/Asset'
          description: The associated asset.
        version:
          $ref: '#/components/schemas/AssetVersion'
          description: The associated asset version.
        attachment:
          $ref: '#/components/schemas/AssetAttachment'
          description: The associated asset attachment.
        comment:
          $ref: '#/components/schemas/AssetComment'
          description: The associated asset comment.
        review:
          $ref: '#/components/schemas/AssetReview'
          description: The associated asset review.
        reviewRequest:
          $ref: '#/components/schemas/AssetReviewRequest'
          description: The associated asset review request.
        user:
          $ref: '#/components/schemas/User'
          description: The user who performed the action.
        library:
          $ref: '#/components/schemas/Library'
          description: The associated library.
        tag:
          $ref: '#/components/schemas/Tag'
          description: The associated tag.
        status:
          $ref: '#/components/schemas/AssetStatus'
          description: The status of the asset.
    Asset:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the asset
        workspace_id:
          type: string
          description: Identifier for the workspace to which the asset belongs
        name:
          type: string
          description: Name of the asset
        asset_type_id:
          type: string
          description: Identifier for the type of the asset
        status_id:
          type: string
          description: (Optional) Identifier for the status of the asset
        isActive:
          type: boolean
          description: Indicates if the asset is active
        created_by_user_id:
          type: string
          description: Identifier for the user who created the asset
        locked_by_user_id:
          type: string
          nullable: true
          description: Identifier for the user who locked the asset
        file_name:
          type: string
          description: Name of the file associated with the asset
        file_location:
          type: string
          description: Location of the file associated with the asset
        current_version_id:
          type: string
          description: Identifier for the current version of the asset
        sequence:
          type: integer
          format: int64
          description: Sequence number of the asset
        currentVersion:
          $ref: '#/components/schemas/AssetVersion'
          description: (Optional) Current version of the asset
        version:
          $ref: '#/components/schemas/AssetVersion'
          description: (Optional) Version of the asset
        versions:
          type: array
          items:
            $ref: '#/components/schemas/AssetVersion'
          description: (Optional) List of versions of the asset
        collaborators:
          type: array
          items:
            $ref: '#/components/schemas/User'
          description: (Optional) List of collaborators for the asset
        favorited:
          oneOf:
            - type: boolean
            - $ref: '#/components/schemas/FavoriteAsset'
          description: >-
            (Optional) Indicates if the asset is favorited or a list of favorite
            assets
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
          description: (Optional) List of tags associated with the asset
        libraries:
          type: array
          items:
            $ref: '#/components/schemas/Library'
          description: (Optional) List of libraries associated with the asset
        reviewRequests:
          type: array
          items:
            $ref: '#/components/schemas/AssetReviewRequest'
          description: (Optional) List of review requests for the asset
        assetType:
          $ref: '#/components/schemas/AssetType'
          description: (Optional) Type of the asset
        assetStatus:
          $ref: '#/components/schemas/AssetStatus'
          description: (Optional) Status of the asset
    AssetVersion:
      type: object
      required:
        - id
        - asset_id
        - created_by_user_id
        - thumbnail_file_id
        - name
        - description
        - key
        - size
        - version_number
        - sequence
        - checksum
      properties:
        id:
          type: string
          description: Unique identifier for the asset version
        asset_id:
          type: string
          description: Identifier of the associated asset
        commit_parent_id:
          type: string
          description: Identifier of the parent commit, if any
        created_by_user_id:
          type: string
          description: Identifier of the user who created the asset version
        thumbnail_file_id:
          type: string
          description: Identifier of the thumbnail file
        name:
          type: string
          description: Name of the asset version
        description:
          type: string
          description: Description of the asset version
        key:
          type: string
          description: Key associated with the asset version
        size:
          type: integer
          format: int64
          description: Size of the asset version
        version_number:
          type: integer
          description: Version number of the asset
        sequence:
          type: integer
          format: int64
          description: Sequence number of the asset version
        checksum:
          type: string
          description: Checksum of the asset version
        user:
          $ref: '#/components/schemas/User'
          description: User who created the asset version
    AssetAttachment:
      type: object
      description: Represents an attachment associated with an asset.
      properties:
        id:
          type: string
          description: Unique identifier for the asset attachment.
        asset_id:
          type: string
          description: Identifier of the associated asset.
        created_by_user_id:
          type: string
          description: Identifier of the user who created the attachment.
        file_id:
          type: string
          description: Identifier of the file associated with the attachment.
        thumbnail_file_id:
          type: string
          description: Identifier of the thumbnail file associated with the attachment.
        review_id:
          type: string
          description: Identifier of the associated review.
        comment_id:
          type: string
          description: Identifier of the associated comment.
        name:
          type: string
          description: Name of the attachment.
        description:
          type: string
          description: Description of the attachment.
        user:
          $ref: '#/components/schemas/User'
          description: User associated with the attachment.
    AssetComment:
      type: object
      description: Represents a comment on an asset.
      properties:
        id:
          type: string
          description: Unique identifier for the comment.
        asset_id:
          type: string
          description: Identifier of the asset the comment is associated with.
        asset_version_id:
          type: string
          nullable: true
          description: >-
            Identifier of the asset version the comment is associated with, if
            any.
        user_id:
          type: string
          description: Identifier of the user who made the comment.
        content:
          type: string
          description: The content of the comment.
        mentions:
          type: array
          items:
            type: string
          description: List of user identifiers mentioned in the comment.
        viewer_metadata:
          type: object
          description: Metadata related to the viewer.
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/AssetAttachment'
          description: List of attachments associated with the comment.
        version:
          $ref: '#/components/schemas/AssetVersion'
          description: The version of the asset associated with the comment.
        user:
          $ref: '#/components/schemas/User'
          description: The user who made the comment.
    AssetReview:
      type: object
      description: Represents a review of an asset.
      properties:
        id:
          type: string
          description: Unique identifier for the asset review.
        asset_id:
          type: string
          description: Unique identifier for the asset being reviewed.
        asset_version_id:
          type: string
          nullable: true
          description: Unique identifier for the version of the asset being reviewed.
        user_id:
          type: string
          description: Unique identifier for the user who created the review.
        assigned_user_id:
          type: string
          nullable: true
          description: Unique identifier for the user assigned to the review.
        status:
          type: string
          enum:
            - approved
            - rejected
          description: Status of the review.
        content:
          type: string
          description: Content of the review.
        mentions:
          type: array
          items:
            type: string
          description: List of user mentions in the review.
        viewer_metadata:
          type: object
          description: Metadata for the viewer.
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/AssetAttachment'
          description: List of attachments associated with the review.
        version:
          $ref: '#/components/schemas/AssetVersion'
          description: Version of the asset being reviewed.
        user:
          $ref: '#/components/schemas/User'
          description: User who created the review.
        assignee:
          $ref: '#/components/schemas/User'
          description: User assigned to the review.
        workspace_id:
          type: string
          nullable: true
          description: Unique identifier for the workspace.
    AssetReviewRequest:
      type: object
      description: Represents a request for an asset review within a workspace.
      properties:
        workspace_id:
          type: string
          description: The ID of the workspace.
        asset_id:
          type: string
          description: The ID of the asset.
        asset_version_id:
          type: string
          description: The ID of the asset version.
        requestor_id:
          type: string
          description: The ID of the user who requested the review.
        user_id:
          type: string
          description: The ID of the user assigned to the review.
        review_id:
          type: string
          description: The ID of the review.
        user:
          $ref: '#/components/schemas/User'
          description: The user assigned to the review.
        requestor:
          $ref: '#/components/schemas/User'
          description: The user who requested the review.
        asset:
          $ref: '#/components/schemas/Asset'
          description: The asset being reviewed.
        version:
          $ref: '#/components/schemas/AssetVersion'
          description: The version of the asset being reviewed.
        review:
          $ref: '#/components/schemas/AssetReview'
          description: The review details.
    Library:
      type: object
      required:
        - id
        - workspace_id
        - name
        - description
        - thumbnail_file_id
        - defaultAvatar
        - created_by_user_id
        - sequence
      properties:
        id:
          type: string
          description: Unique identifier for the library.
        workspace_id:
          type: string
          description: Identifier for the workspace to which the library belongs.
        name:
          type: string
          description: Name of the library.
        description:
          type: string
          description: Description of the library.
        thumbnail_file_id:
          type: string
          description: Identifier for the thumbnail file associated with the library.
        defaultAvatar:
          type: number
          description: Default avatar for the library.
        created_by_user_id:
          type: string
          description: Identifier for the user who created the library.
        sequence:
          type: integer
          format: int64
          description: Sequence number for ordering libraries.
    Tag:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the workspace tag.
        workspace_id:
          type: string
          description: Identifier of the workspace to which the tag belongs.
        name:
          type: string
          description: Name of the workspace tag.
        color:
          type: string
          description: Color associated with the workspace tag.
        created_by_user_id:
          type: string
          description: Identifier of the user who created the tag.
        sequence:
          type: integer
          format: int64
          description: Sequence number for ordering tags.
    AssetStatus:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the asset status.
        workspace_id:
          type: string
          description: Identifier of the workspace to which the asset status belongs.
        name:
          type: string
          description: Name of the asset status.
        color:
          type: string
          description: Color associated with the asset status.
        rank:
          type: string
          description: Rank of the asset status.
        created_by_user_id:
          type: string
          description: Identifier of the user who created the asset status.
    FavoriteAsset:
      type: object
      description: Represents a user's favorite asset.
      properties:
        asset_id:
          type: string
          description: The unique identifier of the asset.
        user_id:
          type: string
          description: The unique identifier of the user.
      required:
        - asset_id
        - user_id
    AssetType:
      type: object
      description: Represents an asset type in the system.
      properties:
        id:
          type: string
          description: Unique identifier for the asset type.
        name:
          type: string
          description: Name of the asset type.
        displayType:
          type: string
          description: Display type of the asset.
        color:
          type: string
          description: Color associated with the asset type.
        generic:
          type: boolean
          description: Indicates if the asset type is generic.
        knownExtensions:
          type: array
          items:
            type: string
          description: List of known file extensions for the asset type.
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````